## first round 
- list of documentation related things done so far
- in no particular order

<br>

- [tag experiments](https://hub.xpub.nl/soupboat/tag/)
- [tag git](https://git.xpub.nl/kamo/tag)
- [01 Pathways](https://hub.xpub.nl/soupboat/tag/01/)
- [02 Openings](https://hub.xpub.nl/soupboat/tag/02/)
- [03 Pair](https://hub.xpub.nl/soupboat/tag/03/)
- [04 Tree](https://hub.xpub.nl/soupboat/tag/04/)
- [Writing Machines](https://hub.xpub.nl/soupboat/wm/)
- [exex example](https://hub.xpub.nl/soupboat/wm/entries/exex/)
- [Writing Machines doc page](https://hub.xpub.nl/soupboat/~kamo/projects/writing-machines/)
- [voicing doc - open call radio worm](https://git.xpub.nl/kamo/docr)
- Hello worlding - Code documentation as entry point / backdoor to programming practices (thesis)
- [documentation sessions](https://hub.xpub.nl/soupboat/docs/)
- [documentation sessions @varia](https://varia.zone/en/code-documentation.html)
- [doc ses @soupboat](https://hub.xpub.nl/soupboat/~kamo/projects/dyc/)
- [doc ses @git](https://git.xpub.nl/kamo/dyc)
- [bonfire - flat markup documentation language](https://hub.xpub.nl/soupboat/bonfire/) 
- [bonfire git](https://git.xpub.nl/kamo/bonfire)
- [dlist git - prototype for flat markup lang](https://git.xpub.nl/kamo/dlist)
- from here is more documentation for writing machines
- [pad-bis docs](https://git.xpub.nl/kamo/pad-bis)
- [wlist (this page!) docs](https://git.xpub.nl/kamo/wlist)
- made me think that an excercise for today would be: to inflate a documentation, providing context for different choices that were made
- [exex - git](https://git.xpub.nl/kamo/exex)
- [exex - exquisite excerpts](https://hub.xpub.nl/soupboat/exex/)
- [exex - docs](https://hub.xpub.nl/soupboat/exex/display/about/)
- [drw - git](https://git.xpub.nl/kamo/drw)
- [drw - workshop](https://hub.xpub.nl/soupboat/~kamo/projects/ws-js-ws/)
- [textoscope - text intensities with xml](https://git.xpub.nl/kamo/textoscope)
- [textoscope - text intensities with xml](https://git.xpub.nl/kamo/textoscope) 
- [workinon - documentation as snapsoht](https://hub.xpub.nl/soupboat/workinon/)
- [workinon - git](https://git.xpub.nl/kamo/workinon)


<br>

## second round
- sort things out a bit

<br>

- _writing machines_
- [bonfire - shared documentation surface](https://hub.xpub.nl/soupboat/bonfire/) 
- [1dl - flat markup language](https://git.xpub.nl/kamo/dlist)
- [padliography](https://hub.xpub.nl/soupboat/padliography/)
- [exex - exquisite excerpts](https://hub.xpub.nl/soupboat/exex/)
- [textoscope - text intensities with xml](https://git.xpub.nl/kamo/textoscope)
- [wlist - writing list machine](https://hub.xpub.nl/soupboat/wlist/)
- [Pair Documenting](https://hub.xpub.nl/soupboat/tag/03/)
- [Tree](https://hub.xpub.nl/soupboat/tag/04/)

<br>

- _documentation_
- [thoughts about documentation session](https://hub.xpub.nl/soupboat/~kamo/projects/dyc/)
- [writing list docs](https://git.xpub.nl/kamo/writing-list)
- [padliography wiki](https://pzwiki.wdka.nl/mediadesign/Padliography)
- [exex - docs](https://hub.xpub.nl/soupboat/exex/display/about/)
- [wm/exex example](https://hub.xpub.nl/soupboat/wm/entries/exex/)

<br>

- _archives_
- [soupboat](https://hub.xpub.nl/soupboat/)
- [documentation workout](https://hub.xpub.nl/soupboat/~kamo/)
- [Pathways](https://hub.xpub.nl/soupboat/tag/01/)
- [tag experiments](https://hub.xpub.nl/soupboat/tag/)
- [Writing Machines](https://hub.xpub.nl/soupboat/wm/)
- [Writing Machines doc page](https://hub.xpub.nl/soupboat/~kamo/projects/writing-machines/)

<br>

- _workshops_
- [documentation sessions](https://hub.xpub.nl/soupboat/docs/)
- [documentation sessions @varia](https://varia.zone/en/code-documentation.html)
- [drw - workshop](https://hub.xpub.nl/soupboat/~kamo/projects/ws-js-ws/)

<br>

- _writings_
- [Hello worlding - Code documentation as entry point / backdoor to programming practices](https://hub.xpub.nl/soupboat/~kamo/thesis/) (thesis)
- [Openings](https://hub.xpub.nl/soupboat/tag/02/)
- [voicing doc - open call radio worm](https://git.xpub.nl/kamo/docr)

<br>

- _repo_
- [tag](https://git.xpub.nl/kamo/tag)
- [workinon](https://git.xpub.nl/kamo/workinon)
- [textoscope](https://git.xpub.nl/kamo/textoscope)
- [doc ses](https://git.xpub.nl/kamo/dyc)
- [bonfire](https://git.xpub.nl/kamo/bonfire)
- [dlist - prototype for flat markup lang](https://git.xpub.nl/kamo/dlist)
- [wlist - writing list](https://git.xpub.nl/kamo/writing-list)
- [exex](https://git.xpub.nl/kamo/exex)
- [drw ](https://git.xpub.nl/kamo/drw)
- [pad-bis](https://git.xpub.nl/kamo/pad-bis)

## third round

- emerging patterns
- great interest in developing tools & writing machines
- lot of them
- often with (half-baked) documentation
- or with documentation that could be further inflated
- with new eyes so to say after thes

<br>

- _idea_
- a toolkit of writing machines 
- created in the context of the soupboat
- with curated documentation
- that offers not only reference on how to use the writing machines
- but also provides context around specific choices made during development
- a way to use code documentation to flesh worlds around these tools 

<br>

- _sections_
- context: soupboat
- index of writing machines
- documentation for every writing machine

- thoughts around document situated software
- thoughts around future of the soupboat

- focus points for selection
- what worked
- what didnt

<br>

- outputs
- _digital_
- website?
- (admittedly im a bit bored of that)
- see opening of wlist readme 
- "A small writing machine to experiment the list format. It’s again web-to-print, it’s again flask, it’s again markdown, it’s again it’s again it’s again. I’m 30% sorry."
- (that could be a nice trigger )
- but it's probably the most viable option
- could it be something different?? 
- really inspired by soft serve
- publishing through ssh
- [charm.sh](https://charm.sh/)
- _physical_
- could make use of all the things learned with [birds press](https://hub.xpub.nl/soupboat/~kamo/projects/birds-press/), [catalog](https://git.xpub.nl/kamo/birds-press)
- would be nice to have something that fit the shop format
- or even just a small pubblication 
- legs 

<br>

- _grad show_
- i have contrasting feelings about exhibiting something on a computer
- at the same time it's easier to relate with a writing machine and its surroundings hands-on
- but the entry point through which relate for the audience could not be in the writing machine, but in the documentation
- that makes sense
- the whole point of this toolkit is to bring documentation practices in foreground
- the tools are more like supports to sustain this continuous thinking process
- like legs 👀 
- like 3d printed legs such as the ones for the soupboat 

## round 4

- publishing a series of readme files
- of significative documentations 
- (significative for different reasons!)
- (style, writing methods, contents, etc.)
- for writing machines developed in the context of the soupboat

- additional focus points: 
- thoughts around document situated software
- thoughts around future of the soupboat

<br>

- padliography -> situated software
- workbook -> collaborative
- exquisite branch / exex -> versioning
- si16 -> multi author

<br>

- _padliography_
- __what's there__
- intro
- catchy features!
- quick start
- how does it work / ecosystem
- development
- license

- __what's missing__
- from where it comes from
- serve behind reverse proxy
- updated api documentation
- interaction with the wiki
    - deleting by accident chae's pages in the wiki
- choices made in development:
    - vue?
    - wiki?
    - beautiful soup?
    - hosting and hospitality
    - multiple tables

- situated?
    - constant padology is a good reference to create a context
    - default pages
    - environmental variable and credentials for the wiki
- future?
    - example: installing it on the breadcube

<br>

- _workbook_
- developed together with supi!!!
- so also could be a place to try pair documenting
- __what's there__ 
- intro and overview
- add instrument
- export from Figma
- export from inkscape

- __what's missing__
- what + why / intentions
- add patch
- add snippet
- clone / development
- code documentation and tool documentation blend
- choices made in development:
    - custom instruments
    - flexibility accessibility performance goat

- situated?
- future?
- collaborative?

<br>

- _xbranch_ _exex_
- exex is a version of xbranch
- no documentation at all for xbranch
- started documenting 
  
- __what is there__
- intro
- install
- overview

- __what is missing__
- development
- serve behind reverse proxy
- documentation from the api
- examples!
- background behind development? previous versions? 

- situated?
- future?
- versioning?

<br>

- ok plan is to start these and then see what happens

## round 5

- to make your code run faster
- to make your code run everywhere
- to make your code run amok

- what is it? 
- a series of small pubblications
- readme files
- for code developed around the soupboat
- with 3d printed legs
- to make them run faster

- optional: could include thesis

- imagine it as an ecosystem
- with different zones 
- soupboat
- wiki
- git
- browser
- real people

- every code is situated different in this ecosystem
- in ways that are too complex to explain precisely outside the documentation
- but can be depicted easily using a mapping approach
- it also does not need to be super precise 
- and can be playful enough to lure people in
- while at the same time offer an intuitive way of how these software are oriented in the world

<br>

- 3d legs sketch
- start from soupboat's legs
- target an A6 pubblication
- 148x105mm
- with hard cover where to plug the legs
- even on the fly
- with a drilling machine
- and a lock system to attach the legs 
- composables
- 2 or 3 kind of legs that can be combinated
- straight
- L shaped

## round 6

- Try this simple trick to make your server run 4x faster
- to make your code run faster
- and other code documentation attempts
- a collection of readme files 
- accessible through a website
- website is a hub that links to the repo
- in order to access the files directly in their natural environment

<br>

- __how to make your server run 4x faster__
- and other _placeholder_ code documentation _placeholder_
- open your terminal and enter the following command
- `curl -O https://projects.xpub.nl/how-to-make-your-server-run-4x-faster/legs.stl`
- this will save an stl file with 4x legs in your working directory
- 3d print the two pairs of legs and install them on your server
- note: remember to adjust the size of the 3d printed file to fit with the dimensions of your server!
- this specs are tailored to a small self-hosted Raspberry Pi 4
- if your server is running on a different piece of hardware things could need an adjustment
- however it's not in the scope of this documentation to cover all possible cases
- reboot and congratulations
- your server now run 4x faster

<br> 

- then a transition to create some context for the work
- research about code documentation
- link to thesis
- and then links to different readme files in their repo
- organized with the idea of pathways explored [here](https://hub.xpub.nl/soupboat/tag/01/)

<br>

- then bio
- link to soupboat
- pictures from the exhibition setup with the small creatures pubblications going around
- and that's it

## round 7

- project description can be the link between intro tutorial and the project itself
- one small paragraph that says things such as
- documentation as practice
- bring documentation practices more close to programming ones
- hellow orlding hello worlding hell o worlding

## round 8

- link specific sections within the pathways
- pave the way to
- pathways and clumsy legs
- could be something like a webring

## round 9

- A publication concerning code documentation and worlding
- scattered through different readme files
- connected through links as a webring
- with two main entry points:
- an annotated index that offers an overview of
- single printed readmes with legs

<br>

- options for the printed versions
- printing readmes in the form of A6 zines
- one readme for zine
- __TODO__ every readme should link to its project at the beginning
- also note that readmes doesn't have to be finished 
- there is no such thing as a finish readme file 

## round 10 !!! like our decimal system

- 4 times faster - hello worlding
    - [How to make your server run 4 times faster](https://git.xpub.nl/kamo/4x-faster)
    - soupboat as a shared space (thesis)
    - situated documentation
    - how to make it legible also for others?
    - [NGINX configuration](https://git.xpub.nl/kamo/pad-bis#nginx-configuration)
    - [Drw - Going online](https://git.xpub.nl/kamo/drw#going-online)

     

- confronting discomfort
    - [conforting discomfort](https://git.xpub.nl/XPUB/project.xpub.nl/src/branch/master/how-to-make-your-server-run-4xfaster/readme.md)
    - Find the writing-list readme in the next page, along with some other readme files from other writing machines published those days while trying to run away from web prototypes.
    - [wlist vent](https://git.xpub.nl/kamo/writing-list/src/branch/master/README.md)
    - [bonfire - single shared file cms](https://git.xpub.nl/kamo/bonfire/src/branch/main/README.md)
    - [1dl flat markup language](https://git.xpub.nl/kamo/dlist/src/branch/master/readme.md)
    - Instead of run away, it makes sense to stay with troubles and investigate what is itchy below the surface. Discomfort as a generative device to insist on issues and confront them.  

- to create context
    - balance between amount of code and amount of software (thesis)
    - [deployment redemption arc](https://git.xpub.nl/kamo/pad-bis#deployment-production)

- care for code ??
- covers
- scarce resource 
    - Writing documentation is demanding. It's more delicate than programming, and requires a whole set of skills not usually treasured by the dev community. A kind of emotional intelligence and sensitivity that is far to be found in the competitive and pragmatic wastelands of the IT industry. Nobody here wants to write documentation, or pay anyone to do it. As a result, in a world where software thrives, documentation still seems to be a scarce resource.

## Round 11 !!! [something happened](https://youtu.be/1AxnthM8VYs?t=1433)

- readme reader
- pathways:
    - hello worlding
        - code and coding contingencies
        - code documentation and world building
        - [deployment redemption arc](https://git.xpub.nl/kamo/pad-bis#deployment-production)
        - []
    - confronting discomfort
    - make your server run 4x faster
    - constant gardening
    - 
- colophon
- link 
