# compiling the list

![the list](cover.png)

A small writing machine to experiment the list format. It's again web-to-print, it's again flask, it's again markdown, it's again it's again it's again. I'm 30% sorry.

## Add your list

Add a new file in the `txt` folder! The format is Markdown, so use the `.md` format.

For example:

`grocery.md`

```markdown
-   Bread
-   Milk
-   ![A pic of eggs](img/eggs.jpg)
-   Leek
```

Your list will appear in the homepage, using the filename as title.

## How to develop

-   Clone the repo
-   Create a virtual environment
-   `python3 -m venv venv`
-   Activate the virtual environment
-   `source venv/bin/activate`
-   Install the dependencies
-   `pip install -r requirements.txt`
-   Run the script
-   `python main.py`

It will open a browser window that renders the files from the `txt` folder. You can put a new list in that directory. Put your images in the `img` folder.
